4 Replies Latest reply on Aug 14, 2015 8:39 PM by Msnish5

    I just updated my MAC with OS X 10.9.5 and now my Lightroom 4 does not work.  Is my only option to purchase Lightroom 5 or go back to a previous version of OS X?

    Msnish5

      Is there something I can do to make Lightroom 4 work with OS X 10.9.5 or do I need to either purchase Lightroom 5 or go back to a previous version of OSX?